%global srcname beancount-parser

Name:           python-%{srcname}
Version:        1.2.3
Release:        %autorelease
Summary:        Standalone Lark based Beancount syntax parser

License:        MIT
URL:            https://github.com/LaunchPlatform/beancount-parser
# PyPI tarball doesn't include tests
Source:         %{url}/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-pytest

%global _description %{expand:
This packages provides a standalone Lark LALR(1) based Beancount syntax parser (not relying on the Beancount library).}

%description %_description

%package -n     python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %_description

%prep
%autosetup -p1 -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files beancount_parser

%check
%pytest -v

%files -n python3-beancount-parser -f %{pyproject_files}
%doc README.md

%changelog
%autochangelog
